# 1.27.0[−][src]Module core::hint

Hints to compiler that affects how code should be emitted or optimized.

## Functions

unreachable_unchecked⚠ | Informs the compiler that this point in the code is not reachable, enabling further optimizations.
black_box | Experimental An identity function that hints to the compiler to be maximally pessimistic about what `black_box` could do.
spin_loop | Experimental Emits a machine instruction hinting to the processor that it is running in busy-wait spin-loop ("spin lock").